Page MenuHomePhabricator

Add WMDE staff who have signed the NDA with the WMF to the WMF-NDA phabricator policy group
Closed, ResolvedPublic

Description

We've noticed that a number of WMDE staff members are not listed in the WMF-NDA policy project. This seems to be restricting their ability to use some functionality Phabricator (e.g. recently discovered they cannot see or edit "Other assignee" field of a task)

I kindly ask that the following user accounts are added to WMF-NDA group. They've all have signed the NDA with the WMF, which can be verified by check associated account's LDAP groups (they're all in wmde LDAP group and some yet not all in nda one), and the historical LDAP request tasks that I try to collect in the table below.

Related Objects

Event Timeline

@Aklapper I'm about to handle this. This is the equivalent to what you added for WMF users but for WMDE/NDA. I think we have a ticket?

@WMDE-leszek T358091 is done and I added Ifeatu to WMF-NDA in Phabricator.

Mentioned in SAL (#wikimedia-operations) [2024-02-29T21:29:52Z] <mutante> phabricator - added Ifeatu_Nnaobi_WMDE to WMF-NDA (group 61) - T358578

Mentioned in SAL (#wikimedia-operations) [2024-02-29T21:31:54Z] <mutante> phabricator - added Fring to WMF-NDA (group 61) - T358578

apologies @danshick-wmde, thanks for correcting.
Cheers for those pointers @Dzahn, I clearly wasn't aware of those.

Mentioned in SAL (#wikimedia-operations) [2024-03-01T20:35:20Z] <mutante> phabricator - added to WMF-NDA (group 61): Aline Bruenger, Corinna Hillebrand, Kai Nissen, Christoph Jauera (all WMDE staff appearing in NDA spreadsheet) T358578

Mentioned in SAL (#wikimedia-operations) [2024-03-01T20:40:57Z] <mutante> phabricator - added to WMF-NDA (group 61): Loren Johnson, Jonathan Fraine, Kris Litson, Lena Meintrup (all WMDE staff appearing in NDA spreadsheet) T358578

Dzahn changed the task status from Open to In Progress.Mar 1 2024, 8:42 PM
Dzahn updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2024-03-22T22:54:25Z] <mutante> Phabricator - added to group WMF-NDA for private tickets: @adee_wmde, @AbbanWMDE, @Andrew-WMDE per T358578 and "NDA and MOU" spreadsheet

Mentioned in SAL (#wikimedia-operations) [2024-03-22T23:10:52Z] <mutante> Phabricator - added to group WMF-NDA for private tickets: @Dima_Koushha_WMDE, @elal, @danshick_wmde, @gabriel-wmde per T358578 and "NDA and MOU" spreadsheet

Mentioned in SAL (#wikimedia-operations) [2024-03-22T23:20:01Z] <mutante> Phabricator - added to group WMF-NDA for private tickets: @Ifrahkhanyaree_WMDE , @jon_amar-WMDE , @lilients_WMDE , @RickiJay-WMDE per T358578 and "NDA and MOU" spreadsheet

Mentioned in SAL (#wikimedia-operations) [2024-03-22T23:30:19Z] <mutante> Phabricator - added to group WMF-NDA for private tickets: @roti_WMDE , @Siko_WMDE , @Tobi_WMDE_SW , @thiemowmde , @WMDECyn , @WMDE-Fisch per T358578 and "NDA and MOU" spreadsheet

Dzahn triaged this task as High priority.Mar 22 2024, 11:43 PM

@WMDE-leszek Sorry for the delay. Almost all done now. Just double checking 4 special cases to match up names with legal docs. Working on getting those done as well.

Mentioned in SAL (#wikimedia-operations) [2024-03-25T21:06:20Z] <mutante> Phabricator - added @Arian_Bozorg and @Fring to WMF-NDA group after confirming they have an NDA on file but had to be added to the legal spreadsheet (T358578)

@WMDE-leszek This ticket is now done except we have 2 special cases:

@Muhammad_Yasser_Jazirahly_WMDE and @AndrewTavis_WMDE apparently don't have an NDA on file at WMF legal.

Could you please ask them to send an email to @KFrancis (https://www.mediawiki.org/wiki/User:KFrancis_(WMF)) from their WMDE address to start that process?

Everybody else that you have listed now already has access to restricted tickets.

Thanks for looking into this, @Dzahn! A bit confused as the task for my NDA was completed (T334960: Request to add Andrew McAllister to ldap/wmde group), but I'll get to that email to @KFrancis now!

Thank you @AndrewTavis_WMDE I think there was a mismatch because of your last names. I have also let Katie know about this latest comment.

@Dzahn I went ahead and processed a new NDA for Andrew. It is complete! Please proceed with your next actions.

Dzahn added subscribers: roti_WMDE, Fring, WMDE-Fisch.

Thank you @KFrancis! I added @AndrewTavis_WMDE (Andrew Tavis McAllister) to the WMF-NDA group here in Phabricator for access to private tickets.

Now this ticket is resolved with the one exception of @Muhammad_Yasser_Jazirahly_WMDE

Dzahn changed the task status from In Progress to Open.Apr 19 2024, 4:56 PM
Dzahn lowered the priority of this task from High to Medium.
Dzahn removed Dzahn as the assignee of this task.Apr 19 2024, 4:58 PM

@Muhammad_Yasser_Jazirahly_WMDE Are you (still) interested in getting access to private Phabricator tickets or do you not need this? Please let me know. Best, Daniel

WMDE-leszek removed Muhammad_Yasser_Jazirahly_WMDE as the assignee of this task.

Thanks for all the follow ups @Dzahn! Let's close it, and I will follow up with a task about Muhammad's access. There might be some bureaucratic reasons there. Sorry for waiting time, and thank you for your thorough action and all the patience.